<?php
require_once "../../../bootstrap.php";
require_once "Admin.php";

use Backend\Models\AdminUser;

if (isAdmin()){
    if (isset($_POST["newAdmin"])){
        $admin = new AdminUser();
        $admin->user_name = $_POST["newUsername"];
        $admin->password = $_POST["newPassword"];
        if ($admin->save()){
            http_response_code(201);
        }else{
            http_response_code(500);
        }
    }else{
        http_response_code(400);
    }
}else{
    http_response_code(401);
    echo json_encode(["message" => "is not admin"]);
}